pub mod validator {
    use std::path::Path;

    pub fn validate_diamond_path(path: &Path) -> bool {
        path.join("tlk").exists() && path.join("hak").exists()
    }

    pub fn validate_ee_path(path: &Path) -> bool {
        path.join("tlk").exists() && path.join("hak").exists()
    }

    pub fn validate_ee_exe_path(path: &Path) -> bool {
        #[cfg(windows)]
        return path.join("bin").join("win32").exists();
        
        #[cfg(unix)]
        return path.join("bin").join("linux-x86").exists() || path.join("bin").join("linux-x86_64").exists();
    }
}