pub mod download_progress {
    use eframe::egui::{Ui, ProgressBar};
    use crate::app::SinfarInstallerApp;

    pub fn render(ui: &mut Ui, app: &mut SinfarInstallerApp) {
        ui.heading("Downloading Sinfar Custom Content");
        ui.add_space(10.0);
        
        ui.horizontal(|ui| {
            ui.label("Downloading:");
            ui.add(ProgressBar::new(app.download_progress).show_percentage());
        });
        
        if let Some(error) = &app.download_error {
            ui.colored_label(eframe::egui::Color32::RED, format!("Error: {}", error));
            if ui.button("Retry").clicked() {
                app.download_error = None;
                app.download_progress = 0.0;
                app.start_download();
            }
        }
    }
}