pub mod installation_progress {
    use eframe::egui::{Ui, ProgressBar};
    use crate::app::SinfarInstallerApp;

    pub fn render(ui: &mut Ui, app: &mut SinfarInstallerApp) {
        ui.heading("Installing Sinfar Custom Content");
        ui.add_space(10.0);
        
        ui.horizontal(|ui| {
            ui.label("Extracting files:");
            ui.add(ProgressBar::new(app.extraction_progress).show_percentage());
        });
        
        if let Some(error) = &app.install_error {
            ui.colored_label(eframe::egui::Color32::RED, error);
            if ui.button("Retry").clicked() {
                app.install_error = None;
                app.start_installation();
            }
        }
    }
}